#ifndef SDL_INC_H
#define SDL_INC_H

//Never #include SDL headers directly - always include this file instead, 
//which will hopefully pick them up from wherever they are.  The "does not exist"
//messages should never be seen because ./configure is supposed to notice and
//alert the user *much* earlier

#ifdef HAVE_CONFIG_H
#include "config.h"
#endif

#ifdef HAVE_SDL_H
  #include <SDL.h>
#else
  #ifdef HAVE_SDL_SDL_H
    #include <SDL/SDL.h>
  #else
    #error SDL.h header does not exist!  (and you should never see this message)
  #endif
#endif

#ifdef HAVE_SDL_MIXER_H
  #include <SDL_mixer.h>
#else
  #ifdef HAVE_SDL_SDL_MIXER_H
    #include <SDL/SDL_mixer.h>
  #else
    #error SDL_mixer.h header does not exist!  (and you should never see this message)
  #endif
#endif

#endif
