/*
    arena_table.h - connects arena enum to scenery filenames
    Copyright (C) 2006 Mark boyd
    
    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be fun to play,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License along
    with this program; if not, write to the Free Software Foundation, Inc.,
    51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

ARENA(A_EMPTY, 0)
ARENA(A_BLOCK,         "block.png")
ARENA(A_BLOCK_DIAGTL,  "blockdiag_tl.png")
ARENA(A_BLOCK_DIAGTR,  "blockdiag_tr.png")
ARENA(A_BLOCK_DIAGBL,  "blockdiag_bl.png")
ARENA(A_BLOCK_DIAGBR,  "blockdiag_br.png")
ARENA(A_EXIT_BLOCK,    "block.png")
ARENA(A_EXIT,          0)
ARENA(A_SOURCE,        "source.png")
ARENA(A_SINK,          "sink.png")

ARENA(A_PIPE_UD, "pipe_ud.png")
ARENA(A_PIPE_LR, "pipe_lr.png")
ARENA(A_PIPE_LD, "pipe_ld.png")
ARENA(A_PIPE_LU, "pipe_lu.png")
ARENA(A_PIPE_RD, "pipe_rd.png")
ARENA(A_PIPE_RU, "pipe_ru.png")
ARENA(A_PIPE_TU, "pipe_Tu.png")
ARENA(A_PIPE_TD, "pipe_Td.png")
ARENA(A_PIPE_TL, "pipe_Tl.png")
ARENA(A_PIPE_TR, "pipe_Tr.png")
ARENA(A_PIPE_CROSS, "pipe_+.png")

ARENA(A_BUTTON_L,       "buttonl1.png")
ARENA(A_BUTTON_L_ANIM1, "buttonl2.png")
ARENA(A_BUTTON_L_ANIM2, "buttonl3.png")
ARENA(A_BUTTON_U,       "buttonu1.png")
ARENA(A_BUTTON_U_ANIM1, "buttonu2.png")
ARENA(A_BUTTON_U_ANIM2, "buttonu3.png")
ARENA(A_BUTTON_R,       "buttonr1.png")
ARENA(A_BUTTON_R_ANIM1, "buttonr2.png")
ARENA(A_BUTTON_R_ANIM2, "buttonr3.png")
ARENA(A_BUTTON_D,       "buttond1.png")
ARENA(A_BUTTON_D_ANIM1, "buttond2.png")
ARENA(A_BUTTON_D_ANIM2, "buttond3.png")

ARENA(A_VGATE_CLOSED, "vgateclosed.png")
ARENA(A_VGATE_ANIM_1, "vgate1.png")
ARENA(A_VGATE_ANIM_2, "vgate2.png")
ARENA(A_VGATE_ANIM_3, "vgate3.png")
ARENA(A_VGATE_ANIM_4, "vgate4.png")
ARENA(A_VGATE_ANIM_5, "vgate5.png")
ARENA(A_VGATE_OPEN,   "vgateopen.png")

ARENA(A_HGATE_CLOSED, "hgateclosed.png")
ARENA(A_HGATE_ANIM_1, "hgate1.png")
ARENA(A_HGATE_ANIM_2, "hgate2.png")
ARENA(A_HGATE_ANIM_3, "hgate3.png")
ARENA(A_HGATE_ANIM_4, "hgate4.png")
ARENA(A_HGATE_ANIM_5, "hgate5.png")
ARENA(A_HGATE_OPEN,   "hgateopen.png")

ARENA(A_SHOP, "shop.png")

