#ifndef SOUND_H
#define SOUND_H
//sound playing using SDL_Mixer
//init() must be called after SDL_Init



namespace sound
{

enum snd_id
{
  #define SOUND(A,B) A,
  #include "sound_table.h"
  #undef SOUND
};

void init();
void play(snd_id);  //At max volume
void play(snd_id, float volume); //0 <= volume <= 1
void kill();
}

#endif

